<?php
/**
* Loads all the components related to customizer 
*
* @since Blogberg 1.0.0
*/
require get_parent_theme_file_path( '/modules/customizer/framework/customizer.php' );
require get_parent_theme_file_path( '/modules/customizer/panels/panels.php' );
require get_parent_theme_file_path( '/modules/customizer/sections/sections.php' );
require get_parent_theme_file_path( '/modules/customizer/settings/general.php' );
require get_parent_theme_file_path( '/modules/customizer/defaults/defaults.php' );


function blogberg_modify_default_settings( $wp_customize ){

	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
	$wp_customize->get_control( 'background_color' )->label = esc_html__( 'Background', 'blogberg' );
}
add_action( 'blogberg_customize_register', 'blogberg_modify_default_settings' );

function blogberg_default_styles(){
	
	# Color
	$site_title_color     = blogberg_get_option( 'site_title_color' );
	$site_tagline_color   = blogberg_get_option( 'site_tagline_color' );
	$site_body_text_color = blogberg_get_option( 'site_body_text_color' );
	$primary_color        = blogberg_get_option( 'site_primary_color' );
	$hover_color          = blogberg_get_option( 'site_hover_color' );

	# Archive Slider
	$slider_overlay_opacity = blogberg_get_option( 'slider_overlay_opacity' );
	
	?>
	<style type="text/css">
		/* Site Layout Shadow */ <?php if( blogberg_get_option( 'disable_site_layout_shadow' ) ): ?> .site-layout-box .site {-webkit-box-shadow: none; -moz-box-shadow: none; -ms-box-shadow: none; -o-box-shadow: none; box-shadow: none; } <?php endif; ?> /* Hamburger Menu Icon */ <?php if( blogberg_get_option( 'disable_hamburger_menu_icon' ) ): ?> @media screen and ( min-width: 992px ){.alt-menu-icon {display: none; } } <?php endif; ?> /*Archive Slider Overlay Opacity*/ .block-slider .banner-overlay {background-color: rgba(0, 0, 0, 0.<?php echo esc_attr( $slider_overlay_opacity ); ?>); } /* Footer Background Shape*/ <?php if( blogberg_get_option( 'disable_footer_background_shape' ) ): ?> .site-footer:before {display: none; } <?php endif; ?> /* Breadcrumb Separator Layout */ <?php if( blogberg_get_option( 'breadcrumb_separator_layout' ) == 'separator_layout_one' ): ?> .breadcrumb-wrap .breadcrumbs .trail-items a:after {height: 12px; -webkit-transform: rotate(25deg); -moz-transform: rotate(25deg); -ms-transform: rotate(25deg); -o-transform: rotate(25deg); transform: rotate(25deg); width: 1px; } <?php endif; ?> <?php if( blogberg_get_option( 'breadcrumb_separator_layout' ) == 'separator_layout_two' ): ?> .breadcrumb-wrap .breadcrumbs .trail-items a:after {height: 6px; width: 6px; -webkit-border-radius: 100%; -moz-border-radius: 100%; -ms-border-radius: 100%; -o-border-radius: 100%; border-radius: 100%; } <?php endif; ?> <?php if( blogberg_get_option( 'breadcrumb_separator_layout' ) == 'separator_layout_three' ): ?> .breadcrumb-wrap .breadcrumbs .trail-items a:after {height: 6px; width: 6px; } <?php endif; ?> <?php if( blogberg_get_option( 'enable_breadcrumb_home_icon' ) ): ?> .breadcrumb-wrap .breadcrumbs .trail-items a[rel="home"] span {font-size: 0; } .breadcrumb-wrap .breadcrumbs .trail-items a[rel="home"] span:before {font-size: 16px; content: "\e074"; font-family: "kf-icons"; } <?php endif; ?> /* Site Title Color */ .site-header .site-branding .site-title, .site-header .site-branding .site-title a {color: <?php echo esc_attr( $site_title_color ); ?>; } /* Tagline Color */ .site-header .site-branding .site-description {color: <?php echo esc_attr( $site_tagline_color ); ?>; } /* Site Body Text Color */ body, html {color: <?php echo esc_attr( $site_body_text_color ); ?>; } /* Primary Background Color */ figcaption, input[type=button], input[type=reset], input[type=submit], .button-primary, .round-button-primary, .page-numbers.current, .page-numbers:hover.current, .page-numbers:focus.current, .page-numbers:active.current, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce a.added_to_cart, .widget-area .widget.widget_product_search [type=submit], .woocommerce .widget_price_filter .ui-slider .ui-slider-handle, .wrap-detail-page .post-footer .post-format, .comments-area .comment-respond .comment-form .submit, .searchform .search-button, #go-top:hover span, #go-top:focus span, #go-top:active span, .block-slider #slide-pager .owl-dot.active span:hover, .block-slider #slide-pager .owl-dot.active span:focus, .block-slider #slide-pager .owl-dot.active span:active {background-color: <?php echo esc_attr( $primary_color ); ?> } /* Primary Border Color */ .page-numbers.current, .page-numbers:hover.current, .page-numbers:focus.current, .page-numbers:active.current, .comments-area .comment-respond .comment-form .submit, #go-top:hover span, #go-top:focus span, #go-top:active span, .main-navigation ul.nav-menu ul, .post .entry-meta-cat a {border-color: <?php echo esc_attr( $primary_color ); ?> } /* Primary Text Color */ .inner-header-content .posted-on a, .post .entry-meta-cat a {color: <?php echo esc_attr( $primary_color ); ?> } /* Hover Background Color */ .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit], .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit]:hover, .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit]:focus, .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit]:active, input[type=button]:hover, input[type=button]:active, input[type=button]:focus, input[type=reset]:hover, input[type=reset]:active, input[type=reset]:focus, input[type=submit]:hover, input[type=submit]:active, input[type=submit]:focus, .button-primary:hover, .button-primary:focus, .button-primary:active, .round-button-primary:hover, .round-button-primary:focus, .round-button-primary:active, .button-outline:hover, .button-outline:focus, .button-outline:active, .round-button-outline:hover, .round-button-outline:focus, .round-button-outline:active, .page-numbers:hover, .page-numbers:focus, .page-numbers:active, .infinite-scroll #infinite-handle span:hover, .infinite-scroll #infinite-handle span:focus, .infinite-scroll #infinite-handle span:active, .woocommerce #respond input#submit:hover, .woocommerce #respond input#submit:focus, .woocommerce #respond input#submit:active, .woocommerce a.button:hover, .woocommerce a.button:focus, .woocommerce a.button:active, .woocommerce button.button:hover, .woocommerce button.button:focus, .woocommerce button.button:active, .woocommerce input.button:hover, .woocommerce input.button:focus, .woocommerce input.button:active, .woocommerce a.button.alt:hover, .woocommerce a.button.alt:focus, .woocommerce a.button.alt:active, .woocommerce button.button.alt:hover, .woocommerce button.button.alt:focus, .woocommerce button.button.alt:active, .woocommerce a.added_to_cart:hover, .woocommerce a.added_to_cart:focus, .woocommerce a.added_to_cart:active, widget-area .widget.widget_product_search [type=submit]:hover, .widget-area .widget.widget_product_search [type=submit]:focus, .widget-area .widget.widget_product_search [type=submit]:active, .post-content-inner .tag-links a:hover, .post-content-inner .tag-links a:focus, .post-content-inner .tag-links a:active, .comments-area .comment-respond .comment-form .submit:hover, .comments-area .comment-respond .comment-form .submit:focus, .comments-area .comment-respond .comment-form .submit:active, .searchform .search-button:hover, .searchform .search-button:focus, .searchform .search-button:active, .widget .tagcloud a:hover, .widget .tagcloud a:focus, .widget .tagcloud a:active, .site-header .alt-menu-icon a:hover .icon-bar, .site-header .alt-menu-icon a:focus .icon-bar, .site-header .alt-menu-icon a:active .icon-bar, .site-header .alt-menu-icon a:hover .icon-bar:before, .site-header .alt-menu-icon a:hover .icon-bar:after, .site-header .alt-menu-icon a:focus .icon-bar:before, .site-header .alt-menu-icon a:focus .icon-bar:after, .site-header .alt-menu-icon a:active .icon-bar:before, .site-header .alt-menu-icon a:active .icon-bar:after, .block-slider .post .button-container .button-outline:hover, .block-slider .post .button-container .button-outline:focus, .block-slider .post .button-container .button-outline:active, .block-slider #slide-pager .owl-dot span:hover, .block-slider #slide-pager .owl-dot span:focus, .block-slider #slide-pager .owl-dot span:active, .top-footer .widget .search-button:hover, .top-footer .widget .search-button:focus, .top-footer .widget .search-button:active {background-color: <?php echo esc_attr( $hover_color ); ?> } /* Hover border Color */ .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit], .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit]:hover, .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit]:focus, .wrap-detail-page .kt-contact-form-area .form-group input.form-control[type=submit]:active, .button-outline:hover, .button-outline:focus, .button-outline:active, .round-button-outline:hover, .round-button-outline:focus, .round-button-outline:active, .page-numbers:hover, .page-numbers:focus, .page-numbers:active, .comments-area .comment-respond .comment-form .submit:hover, .comments-area .comment-respond .comment-form .submit:focus, .comments-area .comment-respond .comment-form .submit:active, .socialgroup a:hover, .socialgroup a:focus, .socialgroup a:active, .widget .tagcloud a:hover, .widget .tagcloud a:focus, .widget .tagcloud a:active, .block-slider .post .entry-meta-cat a:hover, .block-slider .post .entry-meta-cat a:focus, .block-slider .post .entry-meta-cat a:active, .block-slider .post .button-container .button-outline:hover, .block-slider .post .button-container .button-outline:focus, .block-slider .post .button-container .button-outline:active, .block-slider .controls .owl-prev:hover:before, .block-slider .controls .owl-prev:focus:before, .block-slider .controls .owl-prev:active:before, .block-slider .controls .owl-next:hover:before, .block-slider .controls .owl-next:focus:before, .block-slider .controls .owl-next:active:before, .block-slider #slide-pager .owl-dot span:hover, .block-slider #slide-pager .owl-dot span:focus, .block-slider #slide-pager .owl-dot span:active, .site-footer .socialgroup ul li a:hover, .site-footer .socialgroup ul li a:focus, .site-footer .socialgroup ul li a:active, .post .entry-meta-cat a:hover, .post .entry-meta-cat a:focus, .post .entry-meta-cat a:active {border-color: <?php echo esc_attr( $hover_color ); ?> } /* Hover Text Color */ a:hover, a:focus, a:active, .wrap-detail-page .kt-contact-form-area .form-group .cleaner:hover, .wrap-detail-page .kt-contact-form-area .form-group .cleaner:active, .wrap-detail-page .kt-contact-form-area .form-group .cleaner:focus, .wrap-detail-page .kt-contact-form-area .form-group .cleaner:hover span, .wrap-detail-page .kt-contact-form-area .form-group .cleaner:active span, .wrap-detail-page .kt-contact-form-area .form-group .cleaner:focus span, a.button-text:hover, a.button-text:focus, a.button-text:active, .button-text:hover, .button-text:focus, .button-text:active, a.button-text:hover:after, a.button-text:focus:after, a.button-text:active:after, .button-text:hover:after, .button-text:focus:after, .button-text:active:after, .comment-navigation .nav-previous a:hover, .comment-navigation .nav-previous a:focus, .comment-navigation .nav-previous a:active, .comment-navigation .nav-next a:hover, .comment-navigation .nav-next a:focus, .comment-navigation .nav-next a:active, .post-navigation .nav-previous a:hover, .post-navigation .nav-previous a:focus, .post-navigation .nav-previous a:active, .post-navigation .nav-next a:hover, .post-navigation .nav-next a:focus, .post-navigation .nav-next a:active, .comment-navigation .nav-previous a:hover .nav-label, .comment-navigation .nav-previous a:focus .nav-label, .comment-navigation .nav-previous a:active .nav-label, .comment-navigation .nav-next a:hover .nav-label, .comment-navigation .nav-next a:focus .nav-label, .comment-navigation .nav-next a:active .nav-label, .post-navigation .nav-previous a:hover .nav-label, .post-navigation .nav-previous a:focus .nav-label, .post-navigation .nav-previous a:active .nav-label, .post-navigation .nav-next a:hover .nav-label, .post-navigation .nav-next a:focus .nav-label, .post-navigation .nav-next a:active .nav-label, .woocommerce .product_meta .posted_in a:hover, .woocommerce .product_meta .posted_in a:focus, .woocommerce .product_meta .posted_in a:active, .woocommerce .product_meta .tagged_as a:hover, .woocommerce .product_meta .tagged_as a:focus, .woocommerce .product_meta .tagged_as a:active, .woocommerce .woocommerce-MyAccount-navigation ul li a:hover, .woocommerce .woocommerce-MyAccount-navigation ul li a:focus, .woocommerce .woocommerce-MyAccount-navigation ul li a:active, .woocommerce .woocommerce-MyAccount-content p a:hover, .woocommerce .woocommerce-MyAccount-content p a:focus, .woocommerce .woocommerce-MyAccount-content p a:active, .inner-header-content .posted-on a:hover, .inner-header-content .posted-on a:focus, .inner-header-content .posted-on a:active, .post-content-inner .cat-links .categories-list a:hover, .post-content-inner .cat-links .categories-list a:focus, .post-content-inner .cat-links .categories-list a:active, .comments-area .comment-list .comment-metadata a:hover, .comments-area .comment-list .comment-metadata a:focus, .comments-area .comment-list .comment-metadata a:active, .comments-area .comment-respond .logged-in-as a:hover, .comments-area .comment-respond .logged-in-as a:focus, .comments-area .comment-respond .logged-in-as a:active, .socialgroup a:hover, .socialgroup a:focus, .socialgroup a:active, .section-banner-wrap:not(.section-banner-two):not(.section-banner-three) .inner-header-content .posted-on a:hover, .wrap-inner-banner .inner-header-content .posted-on a:hover, .breadcrumb-wrap .breadcrumbs .trail-items a:hover, .breadcrumb-wrap .breadcrumbs .trail-items a:focus, .breadcrumb-wrap .breadcrumbs .trail-items a:active, .widget li a:hover, .widget li a:focus, .widget li a:active, .author-widget .widget-content .profile .socialgroup ul li a:hover, .author-widget .widget-content .profile .socialgroup ul li a:focus, .author-widget .widget-content .profile .socialgroup ul li a:active, .site-header .site-branding .site-title a:hover, .site-header .site-branding .site-title a:focus, .site-header .site-branding .site-title a:active, .site-header .header-icons-wrap .header-search-icon:hover, .site-header .header-icons-wrap .header-search-icon:focus, .site-header .header-icons-wrap .header-search-icon:active, .main-navigation ul.nav-menu > li:hover > a, .main-navigation ul.nav-menu > li:focus > a, .main-navigation ul.nav-menu > li:active > a, .main-navigation ul.nav-menu > li.focus > a, .main-navigation ul.nav-menu ul li a:hover, .main-navigation ul.nav-menu ul li a:focus, .main-navigation ul.nav-menu ul li a:active, .main-navigation ul.nav-menu li.current-menu-item > a, .main-navigation ul.nav-menu li.current-menu-parent > a, .offcanvas-navigation a:hover, .offcanvas-navigation a:focus, .offcanvas-navigation a:active, .block-slider .post .entry-meta-cat a:hover, .block-slider .post .entry-meta-cat a:focus, .block-slider .post .entry-meta-cat a:active, .block-slider .post .post-content .meta-tag [class*=meta-] a:hover, .block-slider .post .post-content .meta-tag [class*=meta-] a:focus, .block-slider .post .post-content .meta-tag [class*=meta-] a:active, .block-slider .post .post-content .meta-tag [class*=meta-] a:hover:before, .block-slider .post .post-content .meta-tag [class*=meta-] a:focus:before, .block-slider .post .post-content .meta-tag [class*=meta-] a:active:before, .block-slider .controls .owl-prev:hover:before, .block-slider .controls .owl-prev:focus:before, .block-slider .controls .owl-prev:active:before, .block-slider .controls .owl-next:hover:before, .block-slider .controls .owl-next:focus:before, .block-slider .controls .owl-next:active:before, .site-footer .socialgroup ul li a:hover, .site-footer .socialgroup ul li a:focus, .site-footer .socialgroup ul li a:active, .site-footer .copyright a:hover, .site-footer .copyright a:focus, .site-footer .copyright a:active, .site-footer .footer-menu-wrap ul li a:hover, .site-footer .footer-menu-wrap ul li a:focus, .site-footer .footer-menu-wrap ul li a:active, .post .entry-meta-cat a:hover, .post .entry-meta-cat a:focus, .post .entry-meta-cat a:active, .post .meta-tag [class*=meta-] a:hover, .post .meta-tag [class*=meta-] a:focus, .post .meta-tag [class*=meta-] a:active, .post .meta-tag [class*=meta-] a:hover:before, .post .meta-tag [class*=meta-] a:focus:before, .post .meta-tag [class*=meta-] a:active:before, .post-section .post .post-text .simplesocialbuttons.simplesocial-round-icon button:hover, .post-section .post .post-text .simplesocialbuttons.simplesocial-round-icon button:focus, .post-section .post .post-text .simplesocialbuttons.simplesocial-round-icon button:active {color: <?php echo esc_attr( $hover_color ); ?> } .addtoany_content .addtoany_list a:hover svg path, .addtoany_content .addtoany_list a:focus svg path, .addtoany_content .addtoany_list a:active svg path, .widget_a2a_share_save_widget .addtoany_list a:hover svg path, .widget_a2a_share_save_widget .addtoany_list a:focus svg path, .widget_a2a_share_save_widget .addtoany_list a:active svg path {fill: <?php echo esc_attr( $hover_color ); ?>
	}
</style>
<?php
}
add_action( 'wp_head', 'blogberg_default_styles' );

/**
* Load customizer preview js file
*/
function blogberg_customize_preview_js() {
	wp_enqueue_script( 'blogberg-customize-preview', get_theme_file_uri( '/assets/js/customizer/customize-preview.js' ), array( 'jquery', 'customize-preview'), '1.0', true );
}
add_action( 'customize_preview_init', 'blogberg_customize_preview_js' );